DomainException
LengthException
Exceptions
PHP Manual

# La classe InvalidArgumentException

## Introduction

Exception émise si un argument de correspond pas à la valeur attendue.

## Synopsis de la classe

InvalidArgumentException
InvalidArgumentException extends LogicException {
/* Méthodes héritées */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

DomainException
LengthException
Exceptions
PHP Manual